This discussion is archived
3 Replies Latest reply: Dec 18, 2012 7:22 AM by Dude! RSS

Question about OCFS2Console 1.8 (for OL6u3) not available

668010 Newbie
Currently Being Moderated
We are setting up a new system/cluster:
2 nodes
OL 6u3 with UEK-kernel
11.2.0.3 RAC with Grid Infrastructure and ASM, latest PSU
Several SAN-LUNs for storage

We are using OCFS2 on 2 LUN's, to write archived redologs and back-ups.
OL6u3 contains OCFS2 1.8

We are hitting an issue with OCFS2 1.8:
Issue:
OCFS2Console is not available or cannot be installed. Because OCFS2-tools is version 1.8, the only available OCFS2Console (1.6.4) cannot be installed. It has a dependancy on OCFS2-tools 1.6.4
I've been looking for OCFS2Console 1.8 in the public yum repo and on google, but I've only found an OpenSuse version [http://pkgs.org/opensuse-12.1/opensuse-oss-x86_64/ocfs2console-1.8.0-4.1.2.x86_64.rpm.html|http://pkgs.org/opensuse-12.1/opensuse-oss-x86_64/ocfs2console-1.8.0-4.1.2.x86_64.rpm.html]
Question: Is there a reason why OCFS2Console 1.8 isn't available for OL6?


We can work around the issue by editing configfiles for ocfs2 and o2cb manually.
This works fine, but having the console available would also be nice

Edited by: Thijs Reinders on Dec 18, 2012 5:57 AM
  • 1. Re: Question about OCFS2Console 1.8 (for OL6u3) not available
    Dude! Guru
    Currently Being Moderated
    The ocfs2console package is obsoleted by ocfs2-tools under 1.8.

    As of RHEL 6 and hence Oracle Linux 6, the default installation does no more include a GUI desktop and the installation of the X Window System. This might not solve your problem, but may explain the reason why you do not find the graphcial utility.

    How did you configure the system?

    Did you use:
    # /etc/init.d/o2cb offline ocfs2
    # /etc/init.d/o2cb unload
    # /etc/init.d/o2cb configure

    Btw, system startup as of RHEL 6 is handled by "upstart", which replaces the legacy sys-V init.
  • 2. Re: Question about OCFS2Console 1.8 (for OL6u3) not available
    668010 Newbie
    Currently Being Moderated
    Hello Dude, thanks for your reply.

    I couldn't find anywhere, that the ocfs2console package is obsoleted by ocfs2-tools under 1.8.
    Do you have a source?
    It's a good explanation, why the console is no longer there.
    Kinda weird that OL6u2 still has a working 1.6.4 ocfs2console


    We fixed the problems at startup, by disabling SElinux. I edited out the problem from the original question.
    Thanks for your help!
  • 3. Re: Question about OCFS2Console 1.8 (for OL6u3) not available
    Dude! Guru
    Currently Being Moderated
    SELinux was actually going to be my next suggestion. Regarding the "obsolete" info, see below:

    <pre>
    [root@vm201 /]# yum install ocfs2console
    Loaded plugins: security
    Setting up Install Process
    Package ocfs2console is obsoleted by ocfs2-tools, trying to install ocfs2-tools-1.8.0-10.el6.x86_64 instead
    Resolving Dependencies
    --> Running transaction check
    ---> Package ocfs2-tools.x86_64 0:1.8.0-10.el6 will be installed
    --> Finished Dependency Resolution
    </pre>

    Btw, the users guide is installed in /usr/share/doc/ocfs2-tools-1.8.0/users_guide.txt

Legend

  • Correct Answers - 10 points
  • Helpful Answers - 5 points